<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>Automatische Zugfahrten in der Simulation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <link rel="icon" type="image/png" href="flexidug.png" />

    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" href="css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap.rtl.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-grid.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-grid.rtl.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-reboot.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-reboot.rtl.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-utilities.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap-utilities.rtl.css">
  </head>
  <body>
    <div class="col-lg-8 mx-auto p-3 py-md-5">
      <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
        <a href="/" class="d-flex align-items-center text-dark text-decoration-none">
          <img src="flexidug.png" width="40" height="40" class="me-2">
          <span class="fs-4">FlexiDug</span>
        </a>
      </header>

      <main>
        <h1>Automatische Zugfahrten in der Simulation</h1>
        <p class="fs-5 col-md-8">Trage unten in die Eingabe die JSON-Konfiguration für eine automatische Zugfahrt ein. Beispiele dazu sind hier: <a href="https://gitlab.com/hpi-potsdam/osm/flexidug/flexidug-obse/-/tree/main/sandbox/s_u_m_o_simulation/datamodel?ref_type=heads">GitLab.com</a></p>

        <hr class="col-3 col-md-2 mb-5">

        <form>
          <div class="mb-3">
            <label for="config_json" class="form-label">JSON Spezifikation:</label>
            <textarea class="form-control" id="config_json" rows="20"></textarea>
          </div>
          <button type="button" id="automatic_train_run" class="btn btn-success btn-lg px-4">Züge fahren lassen!</button>
        </form>
      </main>
      <footer class="pt-5 my-5 text-muted border-top">
        <a href="https://osm.hpi.de">OSM@HPI</a> &middot; &copy; 2021
      </footer>
    </div>


    <!-- inserting these scripts at the end to be able to use all the elements in the DOM -->
  	<script src="js/jquery-3.6.3.min.js"></script>
  	<script src="js/moment-2.29.4.min.js"></script>
  	<script src="js/bootstrap.js"></script>
  	<script src="js/bootstrap.bundle.js"></script>
  	<script src="js/bootstrap.esm.js"></script>
  	<script src="js/app.js"></script>

  </body>
</html>